Get enterprise float-range data
Returns the following values by float range: - Lowest listing price - Listing quantity - Average of the 10 lowest listing prices for the item and float range...
/api/market/enterprise/float/itemsReturns the following values by float range:
- Lowest listing price
- Listing quantity
- Average of the 10 lowest listing prices for the item and float range
- Highest buy-order price
- Buy-order quantity
Access: Enterprise API
Coverage: All items
Updated: Every 5 minutes when include_sticker=0; every 10 minutes when include_sticker=1
Limit: 5,000 requests per 24 hours
goods_id is optional. Without it, one request returns prices for more than 20,000 items.
Authorization
bearer BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Query Parameters
Game identifier.
Value in
- "cs2"
- "dota2"
Return only this BUFF goods ID.
1 <= valueReturn only this Steam market hash name.
Only takes effect when goods_id is not specified. When include_sticker is 0, the results will not include items with sealed graffiti, stickers or sticker slab, and the data will be more real-time.
1Value in
- 0
- 1
Response Body
application/json
curl -X GET "https://example.com/api/market/enterprise/float/items?game=cs2&goods_id=42556&market_hash_name=%E2%98%85+Butterfly+Knife+%7C+Fade+%28Factory+New%29"{ "info": [ { "goods_id": 10001, "market_hash_name": "★ Karambit | Gamma Doppler (Minimal Wear)", "name": "爪子刀(★) | 伽玛多普勒 (略有磨损)", "sales": [ { "min_price": "12449", "pre_sell_min_price": "12500", "avg_min_price": "14405.55", "buy_max_price": "11610", "sell_num": 29, "pre_sell_num": 1, "buy_order_num": 11 }, { "min_price": "12449", "pre_sell_min_price": "12500", "avg_min_price": "14405.55", "buy_max_price": "11610", "sell_num": 29, "pre_sell_num": 1, "buy_order_num": 3, "min_float": "0.07", "max_float": "0.08" }, { "min_price": "16250", "pre_sell_min_price": "0", "avg_min_price": "23381.55", "buy_max_price": "14880", "sell_num": 9, "pre_sell_num": 0, "buy_order_num": 8, "tag_id": 522195, "tag_name": "Phase2" } ], "update_time": 1785812786 } ], "req_remaining": 5000, "stat_time": 1785812400}